Name:          qjackctl
Version:       0.4.3
Release:       1mamba
Summary:       A simple Qt application to control the JACK sound server daemon
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://qjackctl.sourceforge.net
Source:        http://downloads.sourceforge.net/sourceforge/qjackctl/%{name}-%{version}.tar.gz
#http://downloads.sourceforge.net/sourceforge/qjackctl/%{name}-%{version}.tar.gz
Source1:       qjackctl-loop2jack
Patch1:        qjackctl-0.3.10-loop2jack_postStartup_enable.patch
Patch2:        qjackctl-0.3.6-desktop.patch
Patch3:        qjackctl-0.3.7-jackdbus_enable_by_default.patch
Patch4:        qjackctl-0.3.9-jackdbus_dont_stop_on_exit.patch
Patch5:        qjackctl-0.4.2-gcc-6.1.0.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libalsa-devel
BuildRequires: libgcc
BuildRequires: libjack-devel
BuildRequires: libportaudio-devel
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
Requires:      jack >= 0.99.0
Requires:      alsa-utils >= 1.0.27.1-4mamba
Requires:      pulseaudio-module-jack
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot

%description
A simple Qt application to control the JACK sound server daemon

%prep
%setup -q
%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1

%build
./autogen.sh
export QTDIR=%{_qt4_prefix}
#export QMAKESPEC=linux-g++
%configure
%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

install -D -m0755 %{SOURCE1} %{buildroot}%{_bindir}/loop2jack

#install -d -m0755 %{buildroot}%{_sysconfdir}/modules-load.d
#cat > %{buildroot}%{_sysconfdir}/modules-load.d/snd-aloop.conf << _EOF
#snd-aloop
#_EOF

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
#%{_sysconfdir}/modules-load.d/snd-aloop.conf
%{_bindir}/qjackctl
%{_bindir}/loop2jack
%dir %{_datadir}/qjackctl/translations
%{_datadir}/qjackctl/translations/qjackctl_*.qm
%{_datadir}/appdata/qjackctl.appdata.xml
%{_datadir}/applications/qjackctl.desktop
%{_datadir}/icons/hicolor/*x*/apps/*.png
%{_mandir}/man1/qjackctl.1*
%doc AUTHORS COPYING
#ChangeLog README TODO

%changelog
* Mon Oct 24 2016 Automatic Build System <autodist@mambasoft.it> 0.4.3-1mamba
- automatic version update by autodist

* Wed Jul 06 2016 Automatic Build System <autodist@mambasoft.it> 0.4.2-1mamba
- automatic version update by autodist

* Tue Nov 03 2015 Automatic Build System <autodist@mambasoft.it> 0.4.1-1mamba
- automatic version update by autodist

* Sat Jul 25 2015 Automatic Build System <autodist@mambasoft.it> 0.4.0-1mamba
- automatic version update by autodist

* Sat Mar 28 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.13-1mamba
- update to 0.3.13
- require pulseaudio-module-jack

* Sat Mar 28 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.12-3mamba
- require pulseaudio-module-jack

* Fri Oct 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.12-2mamba
- disable snd-aloop module autoloading obsoleted by pulseaudio switch

* Sun Oct 26 2014 Automatic Build System <autodist@mambasoft.it> 0.3.12-1mamba
- automatic version update by autodist

* Thu Jan 02 2014 Automatic Build System <autodist@mambasoft.it> 0.3.11-1mamba
- automatic version update by autodist

* Wed Jul 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.10-2mamba
- add and preconfigure loop2jack script
- load snd-aloop module
- set and enable run of loop2jack as post startup script

* Thu Apr 04 2013 Automatic Build System <autodist@mambasoft.it> 0.3.10-1mamba
- automatic version update by autodist

* Sat Oct 20 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.9-2mamba
- remove don't stop on exit patch, now supported by a gui option

* Tue Aug 07 2012 Automatic Build System <autodist@mambasoft.it> 0.3.9-1mamba
- automatic version update by autodist

* Mon Aug 08 2011 Automatic Build System <autodist@mambasoft.it> 0.3.8-1mamba
- automatic version update by autodist

* Mon Mar 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.7-2mamba
- added patch to enable jackdbus support by default

* Wed Dec 15 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.7-1mamba
- update to 0.3.7

* Sun May 09 2010 Automatic Build System <autodist@mambasoft.it> 0.3.6-1mamba
- automatic update by autodist

* Sun Jan 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.4-2mamba
- desktop entry moved to music category

* Mon Dec 08 2008 gil <puntogil@libero.it> 0.3.4-1mamba
- update to 0.3.4

* Wed Aug 27 2008 gil <puntogil@libero.it> 0.3.3-1mamba
- update to 0.3.3
- added patch for desktop file
- changed qt prefix 

* Sun Feb 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.2-1mamba
- update to 0.3.2

* Sat Nov 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.1a-2mamba
- disable startup and shutdown scripts by default

* Tue Sep 25 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.1a-1mamba
- update to 0.3.1a

* Tue May 15 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.22-1mamba
- update to 0.2.22
- move desktop entry to %{_datadir}/applications

* Wed Oct 11 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.21-1qilnx
- update to version 0.2.21 by autospec

* Sun Jul 09 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.20-1qilnx
- update to version 0.2.20 by autospec

* Mon Nov 28 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.19a-1qilnx
- update to version 0.2.19a by autospec

* Wed Oct 26 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.18-1qilnx
- update to version 0.2.18 by autospec

* Sun Mar 13 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.15a-1qilnx
- package created by autospec
